Subject: Re: [lojban] Programming Languages for Lojban (fwd)

From: Invent Yourself <[email-masked]>
Date: Tue, 12 Mar 2002 17:38:37 -0500 (EST)

Comments?

---------- Forwarded message ----------
Date: Mon, 11 Mar 2002 18:56:27 -0000
From: [email-masked]
To: Invent Yourself <[email-masked]>
Subject: Re: [lojban] Programming Languages for Lojban

A great deal of the answer to this question depends upon what you want to do
with the lojban that has been translated into a programming language. I
would say that the system's design Language Rosetta is the best fit for
lojban. Rosetta is equivalent to a first order predicate calculus, and
therefore the predicates within lojban which find a direct translation into
Rosetta.

Unfortunately, Rosetta, like most first order predicate calculus languages,
is not directly executable. Therefore, if the desire is to use a lojban
database to execute some procedure, Rosetta is not a good choice.

Further information on Rosetta may be found at http://www.sldl.org.